#!/bin/sh

set -e

. /usr/share/debconf/confmodule

if [ -f /usr/share/dbconfig-common/dpkg/config.pgsql ]; then
	. /usr/share/dbconfig-common/dpkg/config.pgsql
	dbc_go miniflux "$@"
fi

db_input high miniflux/create_admin_account || true
db_go

db_get miniflux/create_admin_account
if [ "$RET" = "true" ]; then
	db_beginblock
	db_input high miniflux/admin_username || true
	db_input high miniflux/admin_password || true
	db_endblock
	db_go
fi
